## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Data For Connection

#### POST /v1/connections/{connectionId}/get-data

Get Data For Connection

**cURL**

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "tableId": "<string>",\n  "engagementId": "<string>",\n  "limit": 1,\n  "offset": 1\n}\n'  
```

**Python**

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data"

payload = {
    "tableId": "<string>",
    "engagementId": "<string>",
    "limit": 1,
    "offset": 1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript (Fetch API)**

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({tableId: '<string>', engagementId: '<string>', limit: 1, offset: 1})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'tableId' => '<string>',\
    'engagementId' => '<string>',\
    'limit' => 1,\
    'offset' => 1\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Golang**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data"

payload := strings.NewReader("{\n  \"tableId\": \"<string>\",\n  \"engagementId\": \"<string>\",\n  \"limit\": 1,\n  \"offset\": 1\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Response Format**

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}
```

### Authorizations

Authorization is required in the header as follows:

- **Bearer authentication header** of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

- **connectionId**: Required connection ID (string).

### Body Parameters

- **tableId**: Required (string) - Identifier of the table to retrieve data from.
- **engagementId**: Required (string) - Identifies the engagement that the resulting Data Table will be associated with.
- **limit**: Optional (integer) - Maximum number of rows to return, required range: `x >= 0`.
- **offset**: Optional (integer) - Number of rows to skip before returning results, required range: `x >= 0`.

### Response

- **202** - Accepted
  - Response will return the data structure as outlined above.
